aboutsummaryrefslogtreecommitdiffstats
path: root/main/clamsmtp/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-15 10:19:04 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-15 10:19:26 +0000
commit9b3c0f5f8c2a343b781654f52f74dd5fe583da4d (patch)
tree6d17f357e126738040629e5cb82e2c6b806f2102 /main/clamsmtp/APKBUILD
parent73929b8e73992a27d123ece9cc94e6a2b3265457 (diff)
downloadaports-9b3c0f5f8c2a343b781654f52f74dd5fe583da4d.tar.gz
aports-9b3c0f5f8c2a343b781654f52f74dd5fe583da4d.tar.bz2
aports-9b3c0f5f8c2a343b781654f52f74dd5fe583da4d.tar.xz
main/[various]: update config.sub
Diffstat (limited to 'main/clamsmtp/APKBUILD')
-rw-r--r--main/clamsmtp/APKBUILD14
1 files changed, 12 insertions, 2 deletions
diff --git a/main/clamsmtp/APKBUILD b/main/clamsmtp/APKBUILD
index ef4fbe7e68..cdcefb7a7b 100644
--- a/main/clamsmtp/APKBUILD
+++ b/main/clamsmtp/APKBUILD
@@ -16,9 +16,15 @@ source="http://thewalter.net/stef/software/clamsmtp/clamsmtp-$pkgver.tar.gz
clamsmtpd.initd
"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -28,6 +34,10 @@ build() {
--infodir=/usr/share/info \
|| return 1
make || return 1
+}
+
+package() {
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
# set default clam address and user